<p align="center" style="text-align:center">
    <img src="./illustration.svg" alt="illustration" width="100"/>
</p>

# is-objects-equal

> function for compare not deep and deep object, not support compare Map and Set objects

[![npm version](https://badge.fury.io/js/is-objects-equal.svg)](https://www.npmjs.com/package/is-objects-equal)
[![](https://data.jsdelivr.com/v1/package/npm/is-objects-equal/badge)](https://www.jsdelivr.com/package/npm/is-objects-equal)


## Table of Contents

- [Quick start](#quick-start)
  - [Install](#install)
  - [Initialization](#initialization)
- [Methods](#methods)
  - [isObjectsEqual](#isObjectsEqual)

## Quick start

### Install

We support all platforms.

#### npm

For module bundlers such as Webpack or Browserify.

```shell
npm i is-objects-equal
```

#### Include with &lt;script&gt;

1. <a href="https://cdn.jsdelivr.net/npm/is-objects-equal/dist/lib/is-objects-equal.js" target="_blank">Download lib</a>
2. Add script to html

```html
<script src="is-objects-equal.js"></script>
```

##### CDN

Recommended for learning purposes, you can use the latest version:

```html
<script src="https://cdn.jsdelivr.net/npm/is-objects-equal/dist/lib/is-objects-equal.js"></script>
```

Recommended for production for avoiding unexpected breakage from newer versions:

```html
<script src="https://cdn.jsdelivr.net/npm/is-objects-equal@0.0.0/dist/lib/is-objects-equal.js"></script>
```

### Initialization

#### ES6

is-objects-equal as an ES6 module.

```js
import isObjectsEqual from 'is-objects-equal';

isObjectsEqual([{a: 1}, {a: 1}])

```

#### Node

is-objects-equal as a Node.js module

```js
const isObjectsEqual = require('is-objects-equal');

isObjectsEqual([{a: 1}, {a: 1}])
```

#### Browser

Exports a global variable called `isObjectsEqual`. Use it like this

Connect to html file ```<script src="https://cdn.jsdelivr.net/npm/is-objects-equal/dist/lib/is-objects-equal.js" ></script>```

```html
<script>
    isObjectsEqual([{a: 1}, {a: 1}]);
</script>
```

#### AMD

is-objects-equal as an AMD module. Use with Require.js, System.js, and so on.

1. <a href="https://cdn.jsdelivr.net/npm/is-objects-equal/dist/lib/is-objects-equal.js" target="_blank">Download lib</a>
2. Connect to your module loader

```js
requirejs(['is-objects-equal'], function(isObjectsEqual) {
    isObjectsEqual([{a: 1}, {a: 1}])
});
```

## Methods

### isObjectsEqual

function for compare not deep and deep object, not support compare Map and Set objects


#### Params
- `objectsArray`
  - Type: `Array`
  

#### Returns
- `boolean`

#### Example
```JS
isObjectsEqual([{a: '1'}, {a: '1'}])
// => true

isObjectsEqual([{a: '1'}, {a: '2'}
// => false

isObjectsEqual([{a: '1'}, {a: '1'}, {a: '2'}])
// => false

const firstObject = {
    a: 1,
    b: {
        c: 1
    }
},
secondObject = {
    a: 1,
    b: {
        c: 2
    }
}

isObjectsEqual([firstObject, secondObject])
// => false
```



## Author

webster6667
